Loading...
Searching...
No Matches
cfModResultant.h
Go to the documentation of this file.
/*****************************************************************************\
* Computer Algebra System SINGULAR
\*****************************************************************************/
/** @file cfModResultant.h
*
* modular resultant algorithm as described by G. E. Collins in "The Calculation
* of multivariate polynomial resultants"
*
* @author Martin Lee
*
**/
/*****************************************************************************/
#ifndef CF_MOD_RESULTANT_H
#define CF_MOD_RESULTANT_H
#include "canonicalform.h"
/// modular resultant algorihtm over Fp
///
/// @return @a resultantFp returns the resultant of A and B wrt. x
CanonicalForm
resultantFp (const CanonicalForm& A,///<[in] some poly
const CanonicalForm& B,///<[in] some poly
const Variable& x, ///<[in] some polynomial variable
bool prob= true ///<[in] if true use probabilistic algorithm
);
/*BEGINPUBLIC*/
/// modular resultant algorihtm over Z
///
/// @return @a resultantZ returns the resultant of A and B wrt. x
CanonicalForm
resultantZ (const CanonicalForm& A, ///<[in] some poly
const CanonicalForm& B, ///<[in] some poly
const Variable& x, ///<[in] some polynomial variable
bool prob= true ///<[in] if true use probabilistic algorithm
);
/*ENDPUBLIC*/
#endif
canonicalform.h
Header for factory's main class CanonicalForm.
x
Variable x
Definition cfModGcd.cc:4090
resultantZ
CanonicalForm resultantZ(const CanonicalForm &A, const CanonicalForm &B, const Variable &x, bool prob=true)
modular resultant algorihtm over Z
Definition cfModResultant.cc:560
resultantFp
CanonicalForm resultantFp(const CanonicalForm &A, const CanonicalForm &B, const Variable &x, bool prob=true)
modular resultant algorihtm over Fp
Definition cfModResultant.cc:349
CanonicalForm
factory's main class
Definition canonicalform.h:86
Variable
factory's class for variables
Definition factory.h:127
B
b *CanonicalForm B
Definition facBivar.cc:52
A
#define A
Definition sirandom.c:24